<div [ngClass]="{'app-container': appRunning}">
  <div
    data-cy="app-item"
    class="standard-hover"
    [ngClass]="{'single-selected-option': selectedExamination === examination.id, 'remote-hover': hoveredNewApp}"
    (click)="select()">
    <div
      class="app-content-container"
      [appCopyToClipboard]="examination">
      <div class="app-header-container">
        <div class="app-header-info">
          <app-app-header
          [appItem]="examination.app"
          [matTooltip]="'App id: ' + examination.app_id">
          </app-app-header>
        </div>
        <div class="app-header-action">
          <button
          data-cy="examination-lock-button"
          class="examination-lock-button"
          mat-icon-button
          [disabled]="examination.state === 'CLOSED'"
          (click)="onCloseExamination($event, examination.id)">
          <mat-icon>{{examination.state === 'OPEN' ? 'lock_open' : 'lock'}}</mat-icon>
        </button>
        <app-close-button
          [disabled]="!appRunning"
          (pushedClose)="onCloseApp(examination.id)">
        </app-close-button>
        </div>
      </div>
      <!-- <app-expansion-item
        position="after"
        [disabled]="disabled"
        (expandedChange)="toggleExpansion($event)">
        <div header>
          <span
            #appDescriptionSpan
            [ngClass]="{'three-line-clamp': !expanded}">
            {{examination.app?.store_description}}
          </span>
        </div>
        <div expansion>
          <div *ngIf="expanded" class="app-item-buttons">
            <button
              mat-button
              class="round-button"
              (click)="goToLink(examination.app?.store_url, $event)">
              <mat-icon>local_mall</mat-icon>
              <small>Marketplace</small>
            </button>
            <button
              mat-button
              class="round-button"
              [disabled]="!examination.app?.store_docs_url"
              (click)="goToLink(examination.app?.store_docs_url, $event)">
              <mat-icon>menu_book</mat-icon>
              <small>Manual</small>
            </button>
          </div>
        </div>
        <div footer>
          <div [ngClass]="appActive ? 'app-active' : ''"></div>
        </div>
      </app-expansion-item> -->
      <div [ngClass]="{'app-active': appActive}"></div>
    </div>
  </div>
  <div [ngClass]="appRunning ? 'app-running' : ''"></div>
</div>
<mat-divider></mat-divider>
